Reader.Options (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc

## Class Reader.Options

- java.lang.Object
- - org.apache.orc.Reader.Options

- All Implemented Interfaces:
    Cloneable
  Enclosing interface:
    Reader

      public static class Reader.Options
      extends Object
      implements Cloneable

  Options for creating a RecordReader.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Options()`
    `Options(Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reader.Options` | `clone()`
    `Reader.Options` | `dataReader(DataReader value)`
    `Reader.Options` | `forcePositionalEvolution(boolean value)` Set whether to force schema evolution to be positional instead of based on the column names.
    `String[]` | `getColumnNames()`
    `DataReader` | `getDataReader()`
    `boolean` | `getForcePositionalEvolution()`
    `boolean[]` | `getInclude()`
    `boolean` | `getIncludeAcidColumns()`
    `boolean` | `getIsSchemaEvolutionCaseAware()`
    `long` | `getLength()`
    `long` | `getMaxOffset()`
    `long` | `getOffset()`
    `int` | `getPositionalEvolutionLevel()`
    `TypeDescription` | `getSchema()`
    `SearchArgument` | `getSearchArgument()`
    `Boolean` | `getSkipCorruptRecords()`
    `boolean` | `getTolerateMissingSchema()`
    `Boolean` | `getUseZeroCopy()`
    `Reader.Options` | `include(boolean[] include)` Set the list of columns to read.
    `Reader.Options` | `includeAcidColumns(boolean includeAcidColumns)` `true` if acid metadata columns should be decoded otherwise they will be set to `null`.
    `Reader.Options` | `isSchemaEvolutionCaseAware(boolean value)` Set boolean flag to determine if the comparision of field names in schema evolution is case sensitive
    `Reader.Options` | `positionalEvolutionLevel(int value)` Set number of levels to force schema evolution to be positional instead of based on the column names.
    `Reader.Options` | `range(long offset, long length)` Set the range of bytes to read
    `Reader.Options` | `schema(TypeDescription schema)` Set the schema on read type description.
    `Reader.Options` | `searchArgument(SearchArgument sarg, String[] columnNames)` Set search argument for predicate push down.
    `Reader.Options` | `skipCorruptRecords(boolean value)` Set whether to skip corrupt records.
    `Reader.Options` | `tolerateMissingSchema(boolean value)` Set whether to make a best effort to tolerate schema evolution for files which do not have an embedded schema because they were written with a' pre-HIVE-4243 writer.
    `String` | `toString()`
    `Reader.Options` | `useZeroCopy(boolean value)` Set whether to use zero copy from HDFS.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options()

    - #### Options

          public Options(Configuration conf)

  - ### Method Detail

    - #### include

          public Reader.Options include(boolean[] include)

      Set the list of columns to read.
      Parameters:
        `include` - a list of columns to read
      Returns:
        this

    - #### range

          public Reader.Options range(long offset,
                                      long length)

      Set the range of bytes to read
      Parameters:
        `offset` - the starting byte offset
        `length` - the number of bytes to read
      Returns:
        this

    - #### schema

          public Reader.Options schema(TypeDescription schema)

      Set the schema on read type description.

    - #### searchArgument

          public Reader.Options searchArgument(SearchArgument sarg,
                                               String[] columnNames)

      Set search argument for predicate push down.
      Parameters:
        `sarg` - the search argument
        `columnNames` - the column names for
      Returns:
        this

    - #### useZeroCopy

          public Reader.Options useZeroCopy(boolean value)

      Set whether to use zero copy from HDFS.
      Parameters:
        `value` - the new zero copy flag
      Returns:
        this

    - #### dataReader

          public Reader.Options dataReader(DataReader value)

    - #### skipCorruptRecords

          public Reader.Options skipCorruptRecords(boolean value)

      Set whether to skip corrupt records.
      Parameters:
        `value` - the new skip corrupt records flag
      Returns:
        this

    - #### tolerateMissingSchema

          public Reader.Options tolerateMissingSchema(boolean value)

      Set whether to make a best effort to tolerate schema evolution for files which do not have an embedded schema because they were written with a' pre-HIVE-4243 writer.
      Parameters:
        `value` - the new tolerance flag
      Returns:
        this

    - #### forcePositionalEvolution

          public Reader.Options forcePositionalEvolution(boolean value)

      Set whether to force schema evolution to be positional instead of based on the column names.
      Parameters:
        `value` - force positional evolution
      Returns:
        this

    - #### positionalEvolutionLevel

          public Reader.Options positionalEvolutionLevel(int value)

      Set number of levels to force schema evolution to be positional instead of based on the column names.
      Parameters:
        `value` - number of levels of positional schema evolution
      Returns:
        this

    - #### isSchemaEvolutionCaseAware

          public Reader.Options isSchemaEvolutionCaseAware(boolean value)

      Set boolean flag to determine if the comparision of field names in schema evolution is case sensitive
      Parameters:
        `value` - the flag for schema evolution is case sensitive or not.
      Returns:
        this

    - #### includeAcidColumns

          public Reader.Options includeAcidColumns(boolean includeAcidColumns)

      `true` if acid metadata columns should be decoded otherwise they will be set to `null`.

    - #### getInclude

          public boolean[] getInclude()

    - #### getOffset

          public long getOffset()

    - #### getLength

          public long getLength()

    - #### getSchema

          public TypeDescription getSchema()

    - #### getSearchArgument

          public SearchArgument getSearchArgument()

    - #### getColumnNames

          public String[] getColumnNames()

    - #### getMaxOffset

          public long getMaxOffset()

    - #### getUseZeroCopy

          public Boolean getUseZeroCopy()

    - #### getSkipCorruptRecords

          public Boolean getSkipCorruptRecords()

    - #### getDataReader

          public DataReader getDataReader()

    - #### getForcePositionalEvolution

          public boolean getForcePositionalEvolution()

    - #### getPositionalEvolutionLevel

          public int getPositionalEvolutionLevel()

    - #### getIsSchemaEvolutionCaseAware

          public boolean getIsSchemaEvolutionCaseAware()

    - #### getIncludeAcidColumns

          public boolean getIncludeAcidColumns()

    - #### clone

          public Reader.Options clone()

      Overrides:
        `clone` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getTolerateMissingSchema

          public boolean getTolerateMissingSchema()

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.